4 Replies Latest reply on Nov 24, 2009 9:14 PM by romil mittal

    Air won't install in Ubuntu 9.04

    KDPryor Level 1

      I have tried several times to install Air in my Ubuntu machine without success.  Each time, the install errors out with the message "Sorry, an error has occurred.  An error occurred while installing Adobe AIR. Installation may not be allowed by your administrator. Please contact your administrator."


      I am installing as root, but still not able to successfully install.  Any advice would be greatly appreciated.

      KDP

        • 1. Re: Air won't install in Ubuntu 9.04
          romil mittal Level 1

          Please generate logs for runtime installation by creating an empty file .airinstall.log (touch .airinstall.log) in user home directory, and then running Adobe AIR installer.

           

          Please post the log here - that should help in figuring out the problem.

           

          -romil

          AIR Team

          1 person found this helpful
          • 2. Re: Air won't install in Ubuntu 9.04
            KDPryor Level 1

            Hi, thanks for your reply.  I did what you advised, but the .airinstall.log remains at zero bytes (no content) when I attempt to install AIR, so I have no log information to post.

             

            Thanks,

            KP

            • 3. Re: Air won't install in Ubuntu 9.04
              KDPryor Level 1

              Tried again, got results this time.  Here they are:

               

              root@ken-desktop:~# cat .airinstall.log
              Performing runtime install
              UI SWF load is complete
              UI initialized
              starting user confirmation
              Installation type: new
              starting elevated install
              subinstaller: starting install
              subinstaller: Scheduling runtime installation operations
              subinstaller: Session detected: GNOME
              subinstaller: new installation
              subinstaller: new installation scheduled
              subinstaller: Beginning runtime installation
              subinstaller: Beginning install
              subinstaller: Copying /tmp/air.F7hzsj/build/opt/Adobe AIR/Versions/1.0/Resources/setup.deb to /tmp/air.F7hzsj/setup.deb
              subinstaller: Installing package ...
              subinstaller: Error occurred; beginning rollback: [ErrorEvent type="error" bubbles=false cancelable=false eventPhase=2 text=" error: dpkg: dependency problems prevent configuration of adobeair1.0:
              received unknown message type from subinstaller:
              received unknown message type from subinstaller:  adobeair1.0 depends on adobe-certs; however:
              received unknown message type from subinstaller:
              received unknown message type from subinstaller:   Package adobe-certs is not installed.
              received unknown message type from subinstaller:
              received unknown message type from subinstaller: dpkg: error processing adobeair1.0 (--install):
              received unknown message type from subinstaller:
              received unknown message type from subinstaller:  dependency problems - leaving unconfigured
              received unknown message type from subinstaller:
              received unknown message type from subinstaller: Errors were encountered while processing:
              received unknown message type from subinstaller:
              received unknown message type from subinstaller:  adobeair1.0
              received unknown message type from subinstaller: " errorID=1]
              subinstaller: Rolling back install of the package
              subinstaller: Deleting /tmp/air.F7hzsj/setup.deb
              subinstaller: Rollback due to error complete
              subinstaller: error during install: [ErrorEvent type="error" bubbles=false cancelable=false eventPhase=2 text=" error: dpkg: dependency problems prevent configuration of adobeair1.0:
              received unknown message type from subinstaller:
              received unknown message type from subinstaller:  adobeair1.0 depends on adobe-certs; however:
              received unknown message type from subinstaller:
              received unknown message type from subinstaller:   Package adobe-certs is not installed.
              received unknown message type from subinstaller:
              received unknown message type from subinstaller: dpkg: error processing adobeair1.0 (--install):
              received unknown message type from subinstaller:
              received unknown message type from subinstaller:  dependency problems - leaving unconfigured
              received unknown message type from subinstaller:
              received unknown message type from subinstaller: Errors were encountered while processing:
              received unknown message type from subinstaller:
              received unknown message type from subinstaller:  adobeair1.0
              received unknown message type from subinstaller: " errorID=1]
              Failed during elevated install: error 1  error: dpkg: dependency problems prevent configuration of adobeair1.0:
              runtime install entering error state: [ErrorEvent type="error" bubbles=false cancelable=false eventPhase=2 text=" error: dpkg: dependency problems prevent configuration of adobeair1.0:" errorID=1]
              begin quitting

              • 4. Re: Air won't install in Ubuntu 9.04
                romil mittal Level 1

                1. Do you already have some version of AIR installed on your machine?

                2. Which version of Adobe AIR are you now trying  to install?

                 

                -romil

                AIR Team